VkImportSemaphoreFdInfoKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkSemaphore | semaphore
VkSemaphoreImportFlagsKHR | flags
VkExternalSemaphoreHandleTypeFlagBitsKHR | handleType
int | fd

## Detailed Description

Definition at line 4448 of file vulkan.h.

## Field Documentation

## fd

int VkImportSemaphoreFdInfoKHR::fd

Definition at line 4454 of file vulkan.h.

## flags

VkSemaphoreImportFlagsKHR VkImportSemaphoreFdInfoKHR::flags

Definition at line 4452 of file vulkan.h.

## handleType

VkExternalSemaphoreHandleTypeFlagBitsKHR VkImportSemaphoreFdInfoKHR::handleType

Definition at line 4453 of file vulkan.h.

## pNext

const void* VkImportSemaphoreFdInfoKHR::pNext

Definition at line 4450 of file vulkan.h.

## semaphore

VkSemaphore VkImportSemaphoreFdInfoKHR::semaphore

Definition at line 4451 of file vulkan.h.

## sType

VkStructureType VkImportSemaphoreFdInfoKHR::sType

Definition at line 4449 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h